Bug 236779 - Should be able to change backing image for disks when VM is stopped
Summary: Should be able to change backing image for disks when VM is stopped
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Hugh Brock
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 17:00 UTC by Jeremy Katz
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-09 20:09:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremy Katz 2007-04-17 17:00:16 UTC
If a virtual machine is stopped, you should be able to change the backing image
for disks (if not at runtime).  This is especially true for CDs which you may
want one thing at install-time and something else later.

Comment 1 Hugh Brock 2007-04-17 18:56:45 UTC
Yes, I want to add this to the hardware panel of the details pane. Should we
also consider the ability to edit nics, or is delete/create enough for that case?

Comment 2 Daniel Berrange 2007-04-17 18:59:16 UTC
This probably needs to get some extra support in libvirt - we have no API for
changing the source of an existing guest. We could emulate by removing &
re-adding the device completely, but that only works when turned off, or for
paravirt. 

Comment 3 Jeremy Katz 2007-04-17 19:15:07 UTC
(In reply to comment #1)
> Yes, I want to add this to the hardware panel of the details pane. Should we
> also consider the ability to edit nics, or is delete/create enough for that case?

Edit is probably eventually wanted here too

(In reply to comment #2)
> This probably needs to get some extra support in libvirt - we have no API for
> changing the source of an existing guest. We could emulate by removing &
> re-adding the device completely, but that only works when turned off, or for
> paravirt. 

Doing remove/add (under the hood) for now and only when the guest is turned off
is probably a good first step.  Then when we get the more generic bits in
libvirt to do changes, we can go further.

Comment 4 Hugh Brock 2007-05-09 20:09:50 UTC
We can now do remove/add on block and net devices for stopped and running
guests. It's easy enough to define a block device that I think the edit
interface is a nice-to-have. We'll add it when we have direct edit support in
libvirt.




Note You need to log in before you can comment on or make changes to this bug.